function d = arrdim(X) 
# usage: X = arrdim(X) 
#
# This function extracts the dimension of a multidimensional array.  

# Author:  Ronald Kumon

  # Error checking
  if ( nargin != 1 )
    usage("arrdim(d)");
  endif

  if ( is_struct(X) != 1 )
    error("Input argument is not a multidimensional array structure.")
  end

  # Extract dimension from structure
  d=X.ndim;

endfunction

