function X = arrkronecker
# usage: X = arrkronecker  
#
# This function defines the two-dimensional array of the 
# Kronecker delta (1 if the indices are identical, 0 otherwise).

# Author:  Ronald Kumon

  # Error checking
  if ( nargin != 0 )
    usage("kronecker");
  endif

  X.ndim=2;
  X.dims=[2 2].';

  X.elems(1)=1;
  X.elems(2)=0;
  X.elems(3)=0;
  X.elems(4)=1;

endfunction

